<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>StartParameter (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="StartParameter (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../org/gradle/BuildResult.html" title="class in org.gradle"><span class="strong">Prev Class</span></a></li>
<li><a href="../../org/gradle/TaskExecutionRequest.html" title="interface in org.gradle"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?org/gradle/StartParameter.html" target="_top">Frames</a></li>
<li><a href="StartParameter.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle</div>
<h2 title="Class StartParameter" class="title">Class StartParameter</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.StartParameter</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>, <a href="../../org/gradle/api/logging/configuration/LoggingConfiguration.html" title="interface in org.gradle.api.logging.configuration">LoggingConfiguration</a>, <a href="../../org/gradle/concurrent/ParallelismConfiguration.html" title="interface in org.gradle.concurrent">ParallelismConfiguration</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">StartParameter</span>
extends <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../org/gradle/api/logging/configuration/LoggingConfiguration.html" title="interface in org.gradle.api.logging.configuration">LoggingConfiguration</a>, <a href="../../org/gradle/concurrent/ParallelismConfiguration.html" title="interface in org.gradle.concurrent">ParallelismConfiguration</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a></pre>
<div class="block"><p><code>StartParameter</code> defines the configuration used by a Gradle instance to execute a build. The properties of <code>StartParameter</code> generally correspond to the command-line options of
 Gradle.

 <p>You can obtain an instance of a <code>StartParameter</code> by either creating a new one, or duplicating an existing one using <a href="../../org/gradle/StartParameter.html#newInstance()"><code>newInstance()</code></a> or <a href="../../org/gradle/StartParameter.html#newBuild()"><code>newBuild()</code></a>.</p></div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../serialized-form.html#org.gradle.StartParameter">Serialized Form</a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#DEFAULT_GRADLE_USER_HOME">DEFAULT_GRADLE_USER_HOME</a></strong></code>
<div class="block">The default user home directory.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#GRADLE_USER_HOME_PROPERTY_KEY">GRADLE_USER_HOME_PROPERTY_KEY</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../org/gradle/StartParameter.html#StartParameter()">StartParameter</a></strong>()</code>
<div class="block">Creates a <code>StartParameter</code> with default values.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#addInitScript(java.io.File)">addInitScript</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;initScriptFile)</code>
<div class="block">Adds the given file to the list of init scripts that are run before the build starts.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#equals(java.lang.Object)">equals</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;obj)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#getAllInitScripts()">getAllInitScripts</a></strong>()</code>
<div class="block">Returns all init scripts, including explicit init scripts and implicit init scripts.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#getBuildFile()">getBuildFile</a></strong>()</code>
<div class="block">Returns the build file to use to select the default project.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../org/gradle/api/logging/configuration/ConsoleOutput.html" title="enum in org.gradle.api.logging.configuration">ConsoleOutput</a></code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#getConsoleOutput()">getConsoleOutput</a></strong>()</code>
<div class="block">Returns the style of logging output that should be written to the console.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#getCurrentDir()">getCurrentDir</a></strong>()</code>
<div class="block">Returns the directory to use to select the default project, and to search for the settings file.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#getExcludedTaskNames()">getExcludedTaskNames</a></strong>()</code>
<div class="block">Returns the names of the tasks to be excluded from this build.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#getGradleUserHomeDir()">getGradleUserHomeDir</a></strong>()</code>
<div class="block">Returns the directory to use as the user home directory.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#getIncludedBuilds()">getIncludedBuilds</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#getInitScripts()">getInitScripts</a></strong>()</code>
<div class="block">Returns all explicitly added init scripts that will be run before the build starts.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../org/gradle/api/logging/LogLevel.html" title="enum in org.gradle.api.logging">LogLevel</a></code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#getLogLevel()">getLogLevel</a></strong>()</code>
<div class="block">Returns the minimum logging level to use.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#getMaxWorkerCount()">getMaxWorkerCount</a></strong>()</code>
<div class="block">Returns the maximum number of concurrent workers used for underlying build operations.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#getProjectCacheDir()">getProjectCacheDir</a></strong>()</code>
<div class="block">Returns the project's cache dir.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#getProjectDir()">getProjectDir</a></strong>()</code>
<div class="block">Returns the project dir to use to select the default project.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#getProjectProperties()">getProjectProperties</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#getSettingsFile()">getSettingsFile</a></strong>()</code>
<div class="block">Returns the explicit settings file to use for the build, or null.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../org/gradle/api/logging/configuration/ShowStacktrace.html" title="enum in org.gradle.api.logging.configuration">ShowStacktrace</a></code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#getShowStacktrace()">getShowStacktrace</a></strong>()</code>
<div class="block">Returns the detail that should be included in stacktraces.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#getSystemPropertiesArgs()">getSystemPropertiesArgs</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#getTaskNames()">getTaskNames</a></strong>()</code>
<div class="block">Returns the names of the tasks to execute in this build.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../org/gradle/TaskExecutionRequest.html" title="interface in org.gradle">TaskExecutionRequest</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#getTaskRequests()">getTaskRequests</a></strong>()</code>
<div class="block">Returns the tasks to execute in this build.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#hashCode()">hashCode</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#includeBuild(java.io.File)">includeBuild</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;includedBuild)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#isBuildCacheEnabled()">isBuildCacheEnabled</a></strong>()</code>
<div class="block">Returns true if the build cache is enabled.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#isBuildProjectDependencies()">isBuildProjectDependencies</a></strong>()</code>
<div class="block">Returns true if project dependencies are to be built, false if they should not be.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#isBuildScan()">isBuildScan</a></strong>()</code>
<div class="block">Returns true if build scan should be created.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#isConfigureOnDemand()">isConfigureOnDemand</a></strong>()</code>
<div class="block">If the configure-on-demand mode is active</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#isContinueOnFailure()">isContinueOnFailure</a></strong>()</code>
<div class="block">Specifies whether the build should continue on task failure.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#isContinuous()">isContinuous</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#isDryRun()">isDryRun</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#isNoBuildScan()">isNoBuildScan</a></strong>()</code>
<div class="block">Returns true when build scan creation is explicitly disabled.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#isOffline()">isOffline</a></strong>()</code>
<div class="block">Specifies whether the build should be performed offline (ie without network access).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#isParallelProjectExecutionEnabled()">isParallelProjectExecutionEnabled</a></strong>()</code>
<div class="block">Returns true if parallel project execution is enabled.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#isProfile()">isProfile</a></strong>()</code>
<div class="block">Returns true if a profile report will be generated.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#isRecompileScripts()">isRecompileScripts</a></strong>()</code>
<div class="block">Specifies whether the build scripts should be recompiled.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#isRefreshDependencies()">isRefreshDependencies</a></strong>()</code>
<div class="block">Specifies whether the dependencies should be refreshed..</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#isRerunTasks()">isRerunTasks</a></strong>()</code>
<div class="block">Specifies whether the cached task results should be ignored and each task should be forced to be executed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#isSearchUpwards()">isSearchUpwards</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#isTaskOutputCacheEnabled()">isTaskOutputCacheEnabled</a></strong>()</code>
<div class="block"><strong>Deprecated.</strong>&nbsp;
<div class="block"><i>Use <a href="../../org/gradle/StartParameter.html#isBuildCacheEnabled()"><code>isBuildCacheEnabled()</code></a></i></div>
</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#isUseEmptySettings()">isUseEmptySettings</a></strong>()</code>
<div class="block">Returns whether an empty settings script will be used regardless of whether one exists in the default location.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../org/gradle/StartParameter.html" title="class in org.gradle">StartParameter</a></code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#newBuild()">newBuild</a></strong>()</code>
<div class="block">Creates the parameters for a new build, using these parameters as a template.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../org/gradle/StartParameter.html" title="class in org.gradle">StartParameter</a></code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#newInstance()">newInstance</a></strong>()</code>
<div class="block">Duplicates this <code>StartParameter</code> instance.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../org/gradle/StartParameter.html" title="class in org.gradle">StartParameter</a></code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#prepareNewBuild(org.gradle.StartParameter)">prepareNewBuild</a></strong>(<a href="../../org/gradle/StartParameter.html" title="class in org.gradle">StartParameter</a>&nbsp;p)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../org/gradle/StartParameter.html" title="class in org.gradle">StartParameter</a></code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#prepareNewInstance(org.gradle.StartParameter)">prepareNewInstance</a></strong>(<a href="../../org/gradle/StartParameter.html" title="class in org.gradle">StartParameter</a>&nbsp;p)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setBuildCacheEnabled(boolean)">setBuildCacheEnabled</a></strong>(boolean&nbsp;buildCacheEnabled)</code>
<div class="block">Enables/disables the build cache.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setBuildFile(java.io.File)">setBuildFile</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;buildFile)</code>
<div class="block">Sets the build file to use to select the default project.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../org/gradle/StartParameter.html" title="class in org.gradle">StartParameter</a></code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setBuildProjectDependencies(boolean)">setBuildProjectDependencies</a></strong>(boolean&nbsp;build)</code>
<div class="block">Specifies whether project dependencies should be built.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setBuildScan(boolean)">setBuildScan</a></strong>(boolean&nbsp;buildScan)</code>
<div class="block">Specifies whether a build scan should be created.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setConfigureOnDemand(boolean)">setConfigureOnDemand</a></strong>(boolean&nbsp;configureOnDemand)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setConsoleOutput(org.gradle.api.logging.configuration.ConsoleOutput)">setConsoleOutput</a></strong>(<a href="../../org/gradle/api/logging/configuration/ConsoleOutput.html" title="enum in org.gradle.api.logging.configuration">ConsoleOutput</a>&nbsp;consoleOutput)</code>
<div class="block">Specifies the style of logging output that should be written to the console.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setContinueOnFailure(boolean)">setContinueOnFailure</a></strong>(boolean&nbsp;continueOnFailure)</code>
<div class="block">Specifies whether the build should continue on task failure.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setContinuous(boolean)">setContinuous</a></strong>(boolean&nbsp;enabled)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setCurrentDir(java.io.File)">setCurrentDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;currentDir)</code>
<div class="block">Sets the directory to use to select the default project, and to search for the settings file.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setDryRun(boolean)">setDryRun</a></strong>(boolean&nbsp;dryRun)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setExcludedTaskNames(java.lang.Iterable)">setExcludedTaskNames</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;excludedTaskNames)</code>
<div class="block">Sets the tasks to exclude from this build.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setGradleUserHomeDir(java.io.File)">setGradleUserHomeDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;gradleUserHomeDir)</code>
<div class="block">Sets the directory to use as the user home directory.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setIncludedBuilds(java.util.List)">setIncludedBuilds</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;includedBuilds)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setInitScripts(java.util.List)">setInitScripts</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;initScripts)</code>
<div class="block">Sets the list of init scripts to be run before the build starts.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setLogLevel(org.gradle.api.logging.LogLevel)">setLogLevel</a></strong>(<a href="../../org/gradle/api/logging/LogLevel.html" title="enum in org.gradle.api.logging">LogLevel</a>&nbsp;logLevel)</code>
<div class="block">Specifies the minimum logging level to use.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setMaxWorkerCount(int)">setMaxWorkerCount</a></strong>(int&nbsp;maxWorkerCount)</code>
<div class="block">Specifies the maximum number of concurrent workers used for underlying build operations.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setNoBuildScan(boolean)">setNoBuildScan</a></strong>(boolean&nbsp;noBuildScan)</code>
<div class="block">Specifies whether build scan creation is explicitly disabled.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setOffline(boolean)">setOffline</a></strong>(boolean&nbsp;offline)</code>
<div class="block">Specifies whether the build should be performed offline (ie without network access).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setParallelProjectExecutionEnabled(boolean)">setParallelProjectExecutionEnabled</a></strong>(boolean&nbsp;parallelProjectExecution)</code>
<div class="block">Enables/disables parallel project execution.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setProfile(boolean)">setProfile</a></strong>(boolean&nbsp;profile)</code>
<div class="block">Specifies if a profile report should be generated.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setProjectCacheDir(java.io.File)">setProjectCacheDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;projectCacheDir)</code>
<div class="block">Sets the project's cache location.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setProjectDir(java.io.File)">setProjectDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;projectDir)</code>
<div class="block">Sets the project directory to use to select the default project.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setProjectProperties(java.util.Map)">setProjectProperties</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;projectProperties)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setRecompileScripts(boolean)">setRecompileScripts</a></strong>(boolean&nbsp;recompileScripts)</code>
<div class="block">Specifies whether the build scripts should be recompiled.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setRefreshDependencies(boolean)">setRefreshDependencies</a></strong>(boolean&nbsp;refreshDependencies)</code>
<div class="block">Specifies whether the dependencies should be refreshed..</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setRerunTasks(boolean)">setRerunTasks</a></strong>(boolean&nbsp;rerunTasks)</code>
<div class="block">Specifies whether the cached task results should be ignored and each task should be forced to be executed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setSearchUpwards(boolean)">setSearchUpwards</a></strong>(boolean&nbsp;searchUpwards)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setSettingsFile(java.io.File)">setSettingsFile</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;settingsFile)</code>
<div class="block">Sets the settings file to use for the build.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setShowStacktrace(org.gradle.api.logging.configuration.ShowStacktrace)">setShowStacktrace</a></strong>(<a href="../../org/gradle/api/logging/configuration/ShowStacktrace.html" title="enum in org.gradle.api.logging.configuration">ShowStacktrace</a>&nbsp;showStacktrace)</code>
<div class="block">Sets the detail that should be included in stacktraces.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setSystemPropertiesArgs(java.util.Map)">setSystemPropertiesArgs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;systemPropertiesArgs)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setTaskNames(java.lang.Iterable)">setTaskNames</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;taskNames)</code>
<div class="block">Sets the tasks to execute in this build.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setTaskOutputCacheEnabled(boolean)">setTaskOutputCacheEnabled</a></strong>(boolean&nbsp;buildCacheEnabled)</code>
<div class="block"><strong>Deprecated.</strong>&nbsp;
<div class="block"><i>Use <a href="../../org/gradle/StartParameter.html#setBuildCacheEnabled(boolean)"><code>setBuildCacheEnabled(boolean)</code></a></i></div>
</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#setTaskRequests(java.lang.Iterable)">setTaskRequests</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;? extends <a href="../../org/gradle/TaskExecutionRequest.html" title="interface in org.gradle">TaskExecutionRequest</a>&gt;&nbsp;taskParameters)</code>
<div class="block">Sets the task parameters to execute in this build.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#toString()">toString</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../org/gradle/StartParameter.html" title="class in org.gradle">StartParameter</a></code></td>
<td class="colLast"><code><strong><a href="../../org/gradle/StartParameter.html#useEmptySettings()">useEmptySettings</a></strong>()</code>
<div class="block">Specifies that an empty settings script should be used.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="GRADLE_USER_HOME_PROPERTY_KEY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GRADLE_USER_HOME_PROPERTY_KEY</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> GRADLE_USER_HOME_PROPERTY_KEY</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../constant-values.html#org.gradle.StartParameter.GRADLE_USER_HOME_PROPERTY_KEY">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="DEFAULT_GRADLE_USER_HOME">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DEFAULT_GRADLE_USER_HOME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a> DEFAULT_GRADLE_USER_HOME</pre>
<div class="block">The default user home directory.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="StartParameter()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>StartParameter</h4>
<pre>public&nbsp;StartParameter()</pre>
<div class="block">Creates a <code>StartParameter</code> with default values. This is roughly equivalent to running Gradle on the command-line with no arguments.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getLogLevel()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLogLevel</h4>
<pre>public&nbsp;<a href="../../org/gradle/api/logging/LogLevel.html" title="enum in org.gradle.api.logging">LogLevel</a>&nbsp;getLogLevel()</pre>
<div class="block">Returns the minimum logging level to use. All log messages with a lower log level are ignored.
 Defaults to <a href="../../org/gradle/api/logging/LogLevel.html#LIFECYCLE"><code>LogLevel.LIFECYCLE</code></a>.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../org/gradle/api/logging/configuration/LoggingConfiguration.html#getLogLevel()">getLogLevel</a></code>&nbsp;in interface&nbsp;<code><a href="../../org/gradle/api/logging/configuration/LoggingConfiguration.html" title="interface in org.gradle.api.logging.configuration">LoggingConfiguration</a></code></dd>
</dl>
</li>
</ul>
<a name="setLogLevel(org.gradle.api.logging.LogLevel)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLogLevel</h4>
<pre>public&nbsp;void&nbsp;setLogLevel(<a href="../../org/gradle/api/logging/LogLevel.html" title="enum in org.gradle.api.logging">LogLevel</a>&nbsp;logLevel)</pre>
<div class="block">Specifies the minimum logging level to use. All log messages with a lower log level are ignored.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../org/gradle/api/logging/configuration/LoggingConfiguration.html#setLogLevel(org.gradle.api.logging.LogLevel)">setLogLevel</a></code>&nbsp;in interface&nbsp;<code><a href="../../org/gradle/api/logging/configuration/LoggingConfiguration.html" title="interface in org.gradle.api.logging.configuration">LoggingConfiguration</a></code></dd>
</dl>
</li>
</ul>
<a name="getShowStacktrace()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getShowStacktrace</h4>
<pre>public&nbsp;<a href="../../org/gradle/api/logging/configuration/ShowStacktrace.html" title="enum in org.gradle.api.logging.configuration">ShowStacktrace</a>&nbsp;getShowStacktrace()</pre>
<div class="block">Returns the detail that should be included in stacktraces. Defaults to <a href="../../org/gradle/api/logging/configuration/ShowStacktrace.html#INTERNAL_EXCEPTIONS"><code>ShowStacktrace.INTERNAL_EXCEPTIONS</code></a>.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../org/gradle/api/logging/configuration/LoggingConfiguration.html#getShowStacktrace()">getShowStacktrace</a></code>&nbsp;in interface&nbsp;<code><a href="../../org/gradle/api/logging/configuration/LoggingConfiguration.html" title="interface in org.gradle.api.logging.configuration">LoggingConfiguration</a></code></dd>
</dl>
</li>
</ul>
<a name="setShowStacktrace(org.gradle.api.logging.configuration.ShowStacktrace)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setShowStacktrace</h4>
<pre>public&nbsp;void&nbsp;setShowStacktrace(<a href="../../org/gradle/api/logging/configuration/ShowStacktrace.html" title="enum in org.gradle.api.logging.configuration">ShowStacktrace</a>&nbsp;showStacktrace)</pre>
<div class="block">Sets the detail that should be included in stacktraces.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../org/gradle/api/logging/configuration/LoggingConfiguration.html#setShowStacktrace(org.gradle.api.logging.configuration.ShowStacktrace)">setShowStacktrace</a></code>&nbsp;in interface&nbsp;<code><a href="../../org/gradle/api/logging/configuration/LoggingConfiguration.html" title="interface in org.gradle.api.logging.configuration">LoggingConfiguration</a></code></dd>
</dl>
</li>
</ul>
<a name="getConsoleOutput()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConsoleOutput</h4>
<pre>public&nbsp;<a href="../../org/gradle/api/logging/configuration/ConsoleOutput.html" title="enum in org.gradle.api.logging.configuration">ConsoleOutput</a>&nbsp;getConsoleOutput()</pre>
<div class="block">Returns the style of logging output that should be written to the console.
 Defaults to <a href="../../org/gradle/api/logging/configuration/ConsoleOutput.html#Auto"><code>ConsoleOutput.Auto</code></a></div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../org/gradle/api/logging/configuration/LoggingConfiguration.html#getConsoleOutput()">getConsoleOutput</a></code>&nbsp;in interface&nbsp;<code><a href="../../org/gradle/api/logging/configuration/LoggingConfiguration.html" title="interface in org.gradle.api.logging.configuration">LoggingConfiguration</a></code></dd>
</dl>
</li>
</ul>
<a name="setConsoleOutput(org.gradle.api.logging.configuration.ConsoleOutput)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConsoleOutput</h4>
<pre>public&nbsp;void&nbsp;setConsoleOutput(<a href="../../org/gradle/api/logging/configuration/ConsoleOutput.html" title="enum in org.gradle.api.logging.configuration">ConsoleOutput</a>&nbsp;consoleOutput)</pre>
<div class="block">Specifies the style of logging output that should be written to the console.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../org/gradle/api/logging/configuration/LoggingConfiguration.html#setConsoleOutput(org.gradle.api.logging.configuration.ConsoleOutput)">setConsoleOutput</a></code>&nbsp;in interface&nbsp;<code><a href="../../org/gradle/api/logging/configuration/LoggingConfiguration.html" title="interface in org.gradle.api.logging.configuration">LoggingConfiguration</a></code></dd>
</dl>
</li>
</ul>
<a name="setProjectCacheDir(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setProjectCacheDir</h4>
<pre>public&nbsp;void&nbsp;setProjectCacheDir(<a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
                      <a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;projectCacheDir)</pre>
<div class="block">Sets the project's cache location. Set to null to use the default location.</div>
</li>
</ul>
<a name="getProjectCacheDir()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProjectCacheDir</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getProjectCacheDir()</pre>
<div class="block">Returns the project's cache dir.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>project's cache dir, or null if the default location is to be used.</dd></dl>
</li>
</ul>
<a name="newInstance()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>newInstance</h4>
<pre>public&nbsp;<a href="../../org/gradle/StartParameter.html" title="class in org.gradle">StartParameter</a>&nbsp;newInstance()</pre>
<div class="block">Duplicates this <code>StartParameter</code> instance.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the new parameters.</dd></dl>
</li>
</ul>
<a name="prepareNewInstance(org.gradle.StartParameter)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>prepareNewInstance</h4>
<pre>protected&nbsp;<a href="../../org/gradle/StartParameter.html" title="class in org.gradle">StartParameter</a>&nbsp;prepareNewInstance(<a href="../../org/gradle/StartParameter.html" title="class in org.gradle">StartParameter</a>&nbsp;p)</pre>
</li>
</ul>
<a name="newBuild()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>newBuild</h4>
<pre>public&nbsp;<a href="../../org/gradle/StartParameter.html" title="class in org.gradle">StartParameter</a>&nbsp;newBuild()</pre>
<div class="block"><p>Creates the parameters for a new build, using these parameters as a template. Copies the environmental properties from this parameter (eg Gradle user home dir, etc), but does not copy the
 build specific properties (eg task names).</p></div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The new parameters.</dd></dl>
</li>
</ul>
<a name="prepareNewBuild(org.gradle.StartParameter)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>prepareNewBuild</h4>
<pre>protected&nbsp;<a href="../../org/gradle/StartParameter.html" title="class in org.gradle">StartParameter</a>&nbsp;prepareNewBuild(<a href="../../org/gradle/StartParameter.html" title="class in org.gradle">StartParameter</a>&nbsp;p)</pre>
</li>
</ul>
<a name="equals(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;obj)</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
<a name="hashCode()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hashCode</h4>
<pre>public&nbsp;int&nbsp;hashCode()</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
<a name="getBuildFile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBuildFile</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getBuildFile()</pre>
<div class="block">Returns the build file to use to select the default project. Returns null when the build file is not used to select the default project.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The build file. May be null.</dd></dl>
</li>
</ul>
<a name="setBuildFile(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBuildFile</h4>
<pre>public&nbsp;void&nbsp;setBuildFile(<a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
                <a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;buildFile)</pre>
<div class="block">Sets the build file to use to select the default project. Use null to disable selecting the default project using the build file.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>buildFile</code> - The build file. May be null.</dd></dl>
</li>
</ul>
<a name="useEmptySettings()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>useEmptySettings</h4>
<pre>public&nbsp;<a href="../../org/gradle/StartParameter.html" title="class in org.gradle">StartParameter</a>&nbsp;useEmptySettings()</pre>
<div class="block">Specifies that an empty settings script should be used.

 This means that even if a settings file exists in the conventional location, or has been previously specified by <a href="../../org/gradle/StartParameter.html#setSettingsFile(java.io.File)"><code>setSettingsFile(java.io.File)</code></a>, it will not be used.

 If <a href="../../org/gradle/StartParameter.html#setSettingsFile(java.io.File)"><code>setSettingsFile(java.io.File)</code></a> is called after this, it will supersede calling this method.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="isUseEmptySettings()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isUseEmptySettings</h4>
<pre>public&nbsp;boolean&nbsp;isUseEmptySettings()</pre>
<div class="block">Returns whether an empty settings script will be used regardless of whether one exists in the default location.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>Whether to use empty settings or not.</dd></dl>
</li>
</ul>
<a name="getTaskNames()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTaskNames</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getTaskNames()</pre>
<div class="block">Returns the names of the tasks to execute in this build. When empty, the default tasks for the project will be executed. If <a href="../../org/gradle/TaskExecutionRequest.html" title="interface in org.gradle"><code>TaskExecutionRequest</code></a>s are set for this build then names from
 these task parameters are returned.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the names of the tasks to execute in this build. Never returns null.</dd></dl>
</li>
</ul>
<a name="setTaskNames(java.lang.Iterable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTaskNames</h4>
<pre>public&nbsp;void&nbsp;setTaskNames(<a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
                <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;taskNames)</pre>
<div class="block"><p>Sets the tasks to execute in this build. Set to an empty list, or null, to execute the default tasks for the project. The tasks are executed in the order provided, subject to dependency
 between the tasks.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>taskNames</code> - the names of the tasks to execute in this build.</dd></dl>
</li>
</ul>
<a name="getTaskRequests()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTaskRequests</h4>
<pre><a href="../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../org/gradle/TaskExecutionRequest.html" title="interface in org.gradle">TaskExecutionRequest</a>&gt;&nbsp;getTaskRequests()</pre>
<div class="block">Returns the tasks to execute in this build. When empty, the default tasks for the project will be executed.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the tasks to execute in this build. Never returns null.</dd></dl>
</li>
</ul>
<a name="setTaskRequests(java.lang.Iterable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTaskRequests</h4>
<pre><a href="../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setTaskRequests(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;? extends <a href="../../org/gradle/TaskExecutionRequest.html" title="interface in org.gradle">TaskExecutionRequest</a>&gt;&nbsp;taskParameters)</pre>
<div class="block"><p>Sets the task parameters to execute in this build. Set to an empty list, to execute the default tasks for the project. The tasks are executed in the order provided, subject to dependency
 between the tasks.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>taskParameters</code> - the tasks to execute in this build.</dd></dl>
</li>
</ul>
<a name="getExcludedTaskNames()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExcludedTaskNames</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getExcludedTaskNames()</pre>
<div class="block">Returns the names of the tasks to be excluded from this build. When empty, no tasks are excluded from the build.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The names of the excluded tasks. Returns an empty set if there are no such tasks.</dd></dl>
</li>
</ul>
<a name="setExcludedTaskNames(java.lang.Iterable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExcludedTaskNames</h4>
<pre>public&nbsp;void&nbsp;setExcludedTaskNames(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;excludedTaskNames)</pre>
<div class="block">Sets the tasks to exclude from this build.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>excludedTaskNames</code> - The task names.</dd></dl>
</li>
</ul>
<a name="getCurrentDir()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCurrentDir</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getCurrentDir()</pre>
<div class="block">Returns the directory to use to select the default project, and to search for the settings file.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The current directory. Never returns null.</dd></dl>
</li>
</ul>
<a name="setCurrentDir(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCurrentDir</h4>
<pre>public&nbsp;void&nbsp;setCurrentDir(<a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
                 <a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;currentDir)</pre>
<div class="block">Sets the directory to use to select the default project, and to search for the settings file. Set to null to use the default current directory.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>currentDir</code> - The directory. Set to null to use the default.</dd></dl>
</li>
</ul>
<a name="isSearchUpwards()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSearchUpwards</h4>
<pre>public&nbsp;boolean&nbsp;isSearchUpwards()</pre>
</li>
</ul>
<a name="setSearchUpwards(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSearchUpwards</h4>
<pre>public&nbsp;void&nbsp;setSearchUpwards(boolean&nbsp;searchUpwards)</pre>
</li>
</ul>
<a name="getProjectProperties()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProjectProperties</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getProjectProperties()</pre>
</li>
</ul>
<a name="setProjectProperties(java.util.Map)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setProjectProperties</h4>
<pre>public&nbsp;void&nbsp;setProjectProperties(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;projectProperties)</pre>
</li>
</ul>
<a name="getSystemPropertiesArgs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSystemPropertiesArgs</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getSystemPropertiesArgs()</pre>
</li>
</ul>
<a name="setSystemPropertiesArgs(java.util.Map)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSystemPropertiesArgs</h4>
<pre>public&nbsp;void&nbsp;setSystemPropertiesArgs(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;systemPropertiesArgs)</pre>
</li>
</ul>
<a name="getGradleUserHomeDir()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGradleUserHomeDir</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getGradleUserHomeDir()</pre>
<div class="block">Returns the directory to use as the user home directory.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The home directory.</dd></dl>
</li>
</ul>
<a name="setGradleUserHomeDir(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGradleUserHomeDir</h4>
<pre>public&nbsp;void&nbsp;setGradleUserHomeDir(<a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
                        <a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;gradleUserHomeDir)</pre>
<div class="block">Sets the directory to use as the user home directory. Set to null to use the default directory.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>gradleUserHomeDir</code> - The home directory. May be null.</dd></dl>
</li>
</ul>
<a name="isBuildProjectDependencies()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isBuildProjectDependencies</h4>
<pre>public&nbsp;boolean&nbsp;isBuildProjectDependencies()</pre>
<div class="block">Returns true if project dependencies are to be built, false if they should not be. The default is true.</div>
</li>
</ul>
<a name="setBuildProjectDependencies(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBuildProjectDependencies</h4>
<pre>public&nbsp;<a href="../../org/gradle/StartParameter.html" title="class in org.gradle">StartParameter</a>&nbsp;setBuildProjectDependencies(boolean&nbsp;build)</pre>
<div class="block">Specifies whether project dependencies should be built. Defaults to true.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>this</dd></dl>
</li>
</ul>
<a name="isDryRun()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isDryRun</h4>
<pre>public&nbsp;boolean&nbsp;isDryRun()</pre>
</li>
</ul>
<a name="setDryRun(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDryRun</h4>
<pre>public&nbsp;void&nbsp;setDryRun(boolean&nbsp;dryRun)</pre>
</li>
</ul>
<a name="setSettingsFile(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSettingsFile</h4>
<pre>public&nbsp;void&nbsp;setSettingsFile(<a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
                   <a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;settingsFile)</pre>
<div class="block">Sets the settings file to use for the build. Use null to use the default settings file.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>settingsFile</code> - The settings file to use. May be null.</dd></dl>
</li>
</ul>
<a name="getSettingsFile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSettingsFile</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getSettingsFile()</pre>
<div class="block">Returns the explicit settings file to use for the build, or null.

 Will return null if the default settings file is to be used. However, if <a href="../../org/gradle/StartParameter.html#isUseEmptySettings()"><code>isUseEmptySettings()</code></a> returns true, then no settings file at all will be used.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The settings file. May be null.</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../org/gradle/StartParameter.html#isUseEmptySettings()"><code>isUseEmptySettings()</code></a></dd></dl>
</li>
</ul>
<a name="addInitScript(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addInitScript</h4>
<pre>public&nbsp;void&nbsp;addInitScript(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;initScriptFile)</pre>
<div class="block">Adds the given file to the list of init scripts that are run before the build starts.  This list is in addition to the default init scripts.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>initScriptFile</code> - The init scripts.</dd></dl>
</li>
</ul>
<a name="setInitScripts(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInitScripts</h4>
<pre>public&nbsp;void&nbsp;setInitScripts(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;initScripts)</pre>
<div class="block">Sets the list of init scripts to be run before the build starts. This list is in addition to the default init scripts.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>initScripts</code> - The init scripts.</dd></dl>
</li>
</ul>
<a name="getInitScripts()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInitScripts</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;getInitScripts()</pre>
<div class="block">Returns all explicitly added init scripts that will be run before the build starts.  This list does not contain the user init script located in ${user.home}/.gradle/init.gradle, even though
 that init script will also be run.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>list of all explicitly added init scripts.</dd></dl>
</li>
</ul>
<a name="getAllInitScripts()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllInitScripts</h4>
<pre><a href="../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;getAllInitScripts()</pre>
<div class="block">Returns all init scripts, including explicit init scripts and implicit init scripts.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>All init scripts, including explicit init scripts and implicit init scripts.</dd></dl>
</li>
</ul>
<a name="setProjectDir(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setProjectDir</h4>
<pre>public&nbsp;void&nbsp;setProjectDir(<a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
                 <a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;projectDir)</pre>
<div class="block">Sets the project directory to use to select the default project. Use null to use the default criteria for selecting the default project.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>projectDir</code> - The project directory. May be null.</dd></dl>
</li>
</ul>
<a name="getProjectDir()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProjectDir</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getProjectDir()</pre>
<div class="block">Returns the project dir to use to select the default project.

 Returns null when the build file is not used to select the default project</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The project dir. May be null.</dd></dl>
</li>
</ul>
<a name="setProfile(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setProfile</h4>
<pre>public&nbsp;void&nbsp;setProfile(boolean&nbsp;profile)</pre>
<div class="block">Specifies if a profile report should be generated.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>profile</code> - true if a profile report should be generated</dd></dl>
</li>
</ul>
<a name="isProfile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isProfile</h4>
<pre>public&nbsp;boolean&nbsp;isProfile()</pre>
<div class="block">Returns true if a profile report will be generated.</div>
</li>
</ul>
<a name="isContinueOnFailure()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isContinueOnFailure</h4>
<pre>public&nbsp;boolean&nbsp;isContinueOnFailure()</pre>
<div class="block">Specifies whether the build should continue on task failure. The default is false.</div>
</li>
</ul>
<a name="setContinueOnFailure(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setContinueOnFailure</h4>
<pre>public&nbsp;void&nbsp;setContinueOnFailure(boolean&nbsp;continueOnFailure)</pre>
<div class="block">Specifies whether the build should continue on task failure. The default is false.</div>
</li>
</ul>
<a name="isOffline()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isOffline</h4>
<pre>public&nbsp;boolean&nbsp;isOffline()</pre>
<div class="block">Specifies whether the build should be performed offline (ie without network access).</div>
</li>
</ul>
<a name="setOffline(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOffline</h4>
<pre>public&nbsp;void&nbsp;setOffline(boolean&nbsp;offline)</pre>
<div class="block">Specifies whether the build should be performed offline (ie without network access).</div>
</li>
</ul>
<a name="isRefreshDependencies()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isRefreshDependencies</h4>
<pre>public&nbsp;boolean&nbsp;isRefreshDependencies()</pre>
<div class="block">Specifies whether the dependencies should be refreshed..</div>
</li>
</ul>
<a name="setRefreshDependencies(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRefreshDependencies</h4>
<pre>public&nbsp;void&nbsp;setRefreshDependencies(boolean&nbsp;refreshDependencies)</pre>
<div class="block">Specifies whether the dependencies should be refreshed..</div>
</li>
</ul>
<a name="isRerunTasks()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isRerunTasks</h4>
<pre>public&nbsp;boolean&nbsp;isRerunTasks()</pre>
<div class="block">Specifies whether the cached task results should be ignored and each task should be forced to be executed.</div>
</li>
</ul>
<a name="setRerunTasks(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRerunTasks</h4>
<pre>public&nbsp;void&nbsp;setRerunTasks(boolean&nbsp;rerunTasks)</pre>
<div class="block">Specifies whether the cached task results should be ignored and each task should be forced to be executed.</div>
</li>
</ul>
<a name="isRecompileScripts()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isRecompileScripts</h4>
<pre>public&nbsp;boolean&nbsp;isRecompileScripts()</pre>
<div class="block">Specifies whether the build scripts should be recompiled.</div>
</li>
</ul>
<a name="setRecompileScripts(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRecompileScripts</h4>
<pre>public&nbsp;void&nbsp;setRecompileScripts(boolean&nbsp;recompileScripts)</pre>
<div class="block">Specifies whether the build scripts should be recompiled.</div>
</li>
</ul>
<a name="isParallelProjectExecutionEnabled()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isParallelProjectExecutionEnabled</h4>
<pre><a href="../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;boolean&nbsp;isParallelProjectExecutionEnabled()</pre>
<div class="block">Returns true if parallel project execution is enabled.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../org/gradle/concurrent/ParallelismConfiguration.html#isParallelProjectExecutionEnabled()">isParallelProjectExecutionEnabled</a></code>&nbsp;in interface&nbsp;<code><a href="../../org/gradle/concurrent/ParallelismConfiguration.html" title="interface in org.gradle.concurrent">ParallelismConfiguration</a></code></dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../org/gradle/concurrent/ParallelismConfiguration.html#getMaxWorkerCount()"><code>ParallelismConfiguration.getMaxWorkerCount()</code></a></dd></dl>
</li>
</ul>
<a name="setParallelProjectExecutionEnabled(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setParallelProjectExecutionEnabled</h4>
<pre><a href="../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setParallelProjectExecutionEnabled(boolean&nbsp;parallelProjectExecution)</pre>
<div class="block">Enables/disables parallel project execution.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../org/gradle/concurrent/ParallelismConfiguration.html#setParallelProjectExecutionEnabled(boolean)">setParallelProjectExecutionEnabled</a></code>&nbsp;in interface&nbsp;<code><a href="../../org/gradle/concurrent/ParallelismConfiguration.html" title="interface in org.gradle.concurrent">ParallelismConfiguration</a></code></dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../org/gradle/concurrent/ParallelismConfiguration.html#isParallelProjectExecutionEnabled()"><code>ParallelismConfiguration.isParallelProjectExecutionEnabled()</code></a></dd></dl>
</li>
</ul>
<a name="isBuildCacheEnabled()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isBuildCacheEnabled</h4>
<pre><a href="../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;boolean&nbsp;isBuildCacheEnabled()</pre>
<div class="block">Returns true if the build cache is enabled.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.5</dd></dl>
</li>
</ul>
<a name="setBuildCacheEnabled(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBuildCacheEnabled</h4>
<pre><a href="../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setBuildCacheEnabled(boolean&nbsp;buildCacheEnabled)</pre>
<div class="block">Enables/disables the build cache.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.5</dd></dl>
</li>
</ul>
<a name="isTaskOutputCacheEnabled()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isTaskOutputCacheEnabled</h4>
<pre><a href="../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public&nbsp;boolean&nbsp;isTaskOutputCacheEnabled()</pre>
<div class="block"><span class="strong">Deprecated.</span>&nbsp;<i>Use <a href="../../org/gradle/StartParameter.html#isBuildCacheEnabled()"><code>isBuildCacheEnabled()</code></a></i></div>
<div class="block">Returns true if task output caching is enabled.</div>
</li>
</ul>
<a name="setTaskOutputCacheEnabled(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTaskOutputCacheEnabled</h4>
<pre><a href="../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public&nbsp;void&nbsp;setTaskOutputCacheEnabled(boolean&nbsp;buildCacheEnabled)</pre>
<div class="block"><span class="strong">Deprecated.</span>&nbsp;<i>Use <a href="../../org/gradle/StartParameter.html#setBuildCacheEnabled(boolean)"><code>setBuildCacheEnabled(boolean)</code></a></i></div>
<div class="block">Enables/disables task output caching.</div>
</li>
</ul>
<a name="getMaxWorkerCount()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaxWorkerCount</h4>
<pre><a href="../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;int&nbsp;getMaxWorkerCount()</pre>
<div class="block">Returns the maximum number of concurrent workers used for underlying build operations.

 Workers can be threads, processes or whatever Gradle considers a "worker". Some examples:

 <ul>
     <li>A thread running a task</li>
     <li>A test process</li>
     <li>A language compiler in a forked process</li>
 </ul>

 Defaults to the number of processors available to the Java virtual machine.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../org/gradle/concurrent/ParallelismConfiguration.html#getMaxWorkerCount()">getMaxWorkerCount</a></code>&nbsp;in interface&nbsp;<code><a href="../../org/gradle/concurrent/ParallelismConfiguration.html" title="interface in org.gradle.concurrent">ParallelismConfiguration</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>maximum number of concurrent workers, always &gt;= 1.</dd><dt><span class="strong">See Also:</span></dt><dd><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Runtime.html?is-external=true#availableProcessors()" title="class or interface in java.lang"><code>Runtime.availableProcessors()</code></a></dd></dl>
</li>
</ul>
<a name="setMaxWorkerCount(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMaxWorkerCount</h4>
<pre><a href="../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setMaxWorkerCount(int&nbsp;maxWorkerCount)</pre>
<div class="block">Specifies the maximum number of concurrent workers used for underlying build operations.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../org/gradle/concurrent/ParallelismConfiguration.html#setMaxWorkerCount(int)">setMaxWorkerCount</a></code>&nbsp;in interface&nbsp;<code><a href="../../org/gradle/concurrent/ParallelismConfiguration.html" title="interface in org.gradle.concurrent">ParallelismConfiguration</a></code></dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../org/gradle/concurrent/ParallelismConfiguration.html#getMaxWorkerCount()"><code>ParallelismConfiguration.getMaxWorkerCount()</code></a></dd></dl>
</li>
</ul>
<a name="isConfigureOnDemand()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isConfigureOnDemand</h4>
<pre><a href="../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;boolean&nbsp;isConfigureOnDemand()</pre>
<div class="block">If the configure-on-demand mode is active</div>
</li>
</ul>
<a name="toString()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;toString()</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
<a name="setConfigureOnDemand(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConfigureOnDemand</h4>
<pre><a href="../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setConfigureOnDemand(boolean&nbsp;configureOnDemand)</pre>
</li>
</ul>
<a name="isContinuous()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isContinuous</h4>
<pre><a href="../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;boolean&nbsp;isContinuous()</pre>
</li>
</ul>
<a name="setContinuous(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setContinuous</h4>
<pre><a href="../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setContinuous(boolean&nbsp;enabled)</pre>
</li>
</ul>
<a name="includeBuild(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>includeBuild</h4>
<pre><a href="../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;includeBuild(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;includedBuild)</pre>
</li>
</ul>
<a name="setIncludedBuilds(java.util.List)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIncludedBuilds</h4>
<pre><a href="../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setIncludedBuilds(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;includedBuilds)</pre>
</li>
</ul>
<a name="getIncludedBuilds()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIncludedBuilds</h4>
<pre><a href="../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;getIncludedBuilds()</pre>
</li>
</ul>
<a name="isBuildScan()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isBuildScan</h4>
<pre><a href="../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;boolean&nbsp;isBuildScan()</pre>
<div class="block">Returns true if build scan should be created.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.4</dd></dl>
</li>
</ul>
<a name="setBuildScan(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBuildScan</h4>
<pre><a href="../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setBuildScan(boolean&nbsp;buildScan)</pre>
<div class="block">Specifies whether a build scan should be created.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.4</dd></dl>
</li>
</ul>
<a name="isNoBuildScan()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isNoBuildScan</h4>
<pre><a href="../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;boolean&nbsp;isNoBuildScan()</pre>
<div class="block">Returns true when build scan creation is explicitly disabled.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.4</dd></dl>
</li>
</ul>
<a name="setNoBuildScan(boolean)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setNoBuildScan</h4>
<pre><a href="../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setNoBuildScan(boolean&nbsp;noBuildScan)</pre>
<div class="block">Specifies whether build scan creation is explicitly disabled.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.4</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../org/gradle/BuildResult.html" title="class in org.gradle"><span class="strong">Prev Class</span></a></li>
<li><a href="../../org/gradle/TaskExecutionRequest.html" title="interface in org.gradle"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?org/gradle/StartParameter.html" target="_top">Frames</a></li>
<li><a href="StartParameter.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
